CLOG(3)

NAME
clog, clogf and clogl - complex natural logarithm functions

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double complex
clog(double complex z);
float complex
clogf(float complex z);
long double complex
clogl(long double complex z);

DESCRIPTION
The clog(), clogf(), and clogl() functions compute the complex natural logarithm of z. with a branch cut along the negative real axis .

RETURN VALUES
The clog() function returns the complex natural logarithm value, in the range of a strip mathematically unbounded along the real axis and in the interval [-I* , +I* ] along the imaginary axis. The function satisfies the relationship: clog( conj(z)) = conj( clog(z)).

Argument | Return value | Comment
-0 + I*0 | - + I* | Divide-by-zero exception
 | | raised
+0 + I*0 | - + I*0 | Divide by zero exception
 | | raised
x + I* | + + I*/2 | For finite x
x + I* | + I* | Optionally raises invalid
 | | floating-point exception
 | | for finite x
- + I*y | + + I* | For finite positive-signed y
+ + I*y | + + I*0 | For finite positive-signed y
- + I* | + + I*3/4
+ + I* | + + I*/4
+ I* | + + I*
+ I*y | + I* | Optionally raises invalid
 | | floating-point exception
 | | for finite y
+ I* | + + I*
+ I* | + I*

SEE ALSO
complex(3), log(3), math(3)

STANDARDS
The clog(), cexpf(), and clogl() functions conform to isoC-99.